%global pypi_name unicrypto

Name:           python-%{pypi_name}
Version:        0.0.10
Release:        %autorelease
Summary:        Unified interface for some crypto algos

License:        MIT
URL:            https://github.com/skelsec/unicrypto
Source0:        https://github.com/skelsec/unicrypto/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%global _description %{expand:
Unified interface for some crypto algos.}

%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-pycryptodomex

%description -n python3-%{pypi_name} %_description

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%exclude %{python3_sitelib}/tests

%changelog
%autochangelog
